.footer {
    padding: rem(20) 0;
    color: var(--gray);
    background: var(--dark);
    font-size: rem(16);
    line-height: 110%;

    &__wrap {
        display: flex;
        flex-direction: column;
        row-gap: rem(20);
    }

    &__dev {
        color: var(--gray);
        text-decoration: none;
        transition: var(--transition-time);

        &:hover {
            color: white;
            text-decoration: none;
            transition: var(--transition-time);
        }
    }

    &__lng {
        display: none;
        font-size: rem(18);
        line-height: 120%;
        white-space: nowrap;
        text-decoration: none;
        color: var(--gray);
        transition: var(--transition-time);

        &:hover {
            color: white;
            text-decoration: none;
            transition: var(--transition-time);
        }

        i {
            flex-shrink: 0;
            display: block;
            width: rem(24);
        }

        span {
            display: block;
        }
    }



    @include media-breakpoint-up(md) {
        padding-bottom: rem(46);
    }

    @include media-breakpoint-up(lg) {

        &__wrap {
            flex-direction: row;
            justify-content: space-between;
        }
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(18);
        line-height: 120%;

        &__content {
            display: flex;
            align-items: center;
            column-gap: rem(40);
        }

        &__lng {
            display: flex;
            align-items: center;
            column-gap: rem(10);
        }
    }

    @include media-breakpoint-up(xxl) {
        font-size: rem(22);
        line-height: 120%;

        &__lng {
            font-size: rem(22);
            line-height: 120%;
        }
    }

}
